source: git/omalloc/configure @ ba6f0c

fieker-DuValspielwiese
Last change on this file since ba6f0c was 212fc04, checked in by Olaf Bachmann <obachman@…>, 25 years ago
* as we go along git-svn-id: file:///usr/local/Singular/svn/trunk@3878 2c84dea3-7e68-4137-9b89-c4e89433aadc
  • Property mode set to 100755
File size: 69.9 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-align8           only use 8-aligned memory"
16ac_help="$ac_help
17  --enable-stat           enable memory statistics"
18ac_help="$ac_help
19  --disable-mtrack        disable backtrace and memory track"
20ac_help="$ac_help
21  --with_return_addr_func=FUNC
22                             use FUNC as function for determening return addr
23                             Default: __bultin_return_address"
24ac_help="$ac_help
25  --with_frame_addr_func=FUNC
26                             use FUNC as function for determening frame addr
27                             Default: __bultin_frame_address"
28
29# Initialize some variables set by options.
30# The variables have the same names as the options, with
31# dashes changed to underlines.
32build=NONE
33cache_file=./config.cache
34exec_prefix=NONE
35host=NONE
36no_create=
37nonopt=NONE
38no_recursion=
39prefix=NONE
40program_prefix=NONE
41program_suffix=NONE
42program_transform_name=s,x,x,
43silent=
44site=
45srcdir=
46target=NONE
47verbose=
48x_includes=NONE
49x_libraries=NONE
50bindir='${exec_prefix}/bin'
51sbindir='${exec_prefix}/sbin'
52libexecdir='${exec_prefix}/libexec'
53datadir='${prefix}/share'
54sysconfdir='${prefix}/etc'
55sharedstatedir='${prefix}/com'
56localstatedir='${prefix}/var'
57libdir='${exec_prefix}/lib'
58includedir='${prefix}/include'
59oldincludedir='/usr/include'
60infodir='${prefix}/info'
61mandir='${prefix}/man'
62
63# Initialize some other variables.
64subdirs=
65MFLAGS= MAKEFLAGS=
66SHELL=${CONFIG_SHELL-/bin/sh}
67# Maximum number of lines to put in a shell here document.
68ac_max_here_lines=12
69
70ac_prev=
71for ac_option
72do
73
74  # If the previous option needs an argument, assign it.
75  if test -n "$ac_prev"; then
76    eval "$ac_prev=\$ac_option"
77    ac_prev=
78    continue
79  fi
80
81  case "$ac_option" in
82  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
83  *) ac_optarg= ;;
84  esac
85
86  # Accept the important Cygnus configure options, so we can diagnose typos.
87
88  case "$ac_option" in
89
90  -bindir | --bindir | --bindi | --bind | --bin | --bi)
91    ac_prev=bindir ;;
92  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
93    bindir="$ac_optarg" ;;
94
95  -build | --build | --buil | --bui | --bu)
96    ac_prev=build ;;
97  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
98    build="$ac_optarg" ;;
99
100  -cache-file | --cache-file | --cache-fil | --cache-fi \
101  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
102    ac_prev=cache_file ;;
103  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
104  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
105    cache_file="$ac_optarg" ;;
106
107  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
108    ac_prev=datadir ;;
109  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
110  | --da=*)
111    datadir="$ac_optarg" ;;
112
113  -disable-* | --disable-*)
114    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
115    # Reject names that are not valid shell variable names.
116    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
117      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
118    fi
119    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
120    eval "enable_${ac_feature}=no" ;;
121
122  -enable-* | --enable-*)
123    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
124    # Reject names that are not valid shell variable names.
125    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
126      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
127    fi
128    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
129    case "$ac_option" in
130      *=*) ;;
131      *) ac_optarg=yes ;;
132    esac
133    eval "enable_${ac_feature}='$ac_optarg'" ;;
134
135  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
136  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
137  | --exec | --exe | --ex)
138    ac_prev=exec_prefix ;;
139  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
140  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
141  | --exec=* | --exe=* | --ex=*)
142    exec_prefix="$ac_optarg" ;;
143
144  -gas | --gas | --ga | --g)
145    # Obsolete; use --with-gas.
146    with_gas=yes ;;
147
148  -help | --help | --hel | --he)
149    # Omit some internal or obsolete options to make the list less imposing.
150    # This message is too long to be a string in the A/UX 3.1 sh.
151    cat << EOF
152Usage: configure [options] [host]
153Options: [defaults in brackets after descriptions]
154Configuration:
155  --cache-file=FILE       cache test results in FILE
156  --help                  print this message
157  --no-create             do not create output files
158  --quiet, --silent       do not print \`checking...' messages
159  --version               print the version of autoconf that created configure
160Directory and file names:
161  --prefix=PREFIX         install architecture-independent files in PREFIX
162                          [$ac_default_prefix]
163  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
164                          [same as prefix]
165  --bindir=DIR            user executables in DIR [EPREFIX/bin]
166  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
167  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
168  --datadir=DIR           read-only architecture-independent data in DIR
169                          [PREFIX/share]
170  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
171  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
172                          [PREFIX/com]
173  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
174  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
175  --includedir=DIR        C header files in DIR [PREFIX/include]
176  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
177  --infodir=DIR           info documentation in DIR [PREFIX/info]
178  --mandir=DIR            man documentation in DIR [PREFIX/man]
179  --srcdir=DIR            find the sources in DIR [configure dir or ..]
180  --program-prefix=PREFIX prepend PREFIX to installed program names
181  --program-suffix=SUFFIX append SUFFIX to installed program names
182  --program-transform-name=PROGRAM
183                          run sed PROGRAM on installed program names
184EOF
185    cat << EOF
186Host type:
187  --build=BUILD           configure for building on BUILD [BUILD=HOST]
188  --host=HOST             configure for HOST [guessed]
189  --target=TARGET         configure for TARGET [TARGET=HOST]
190Features and packages:
191  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
192  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
193  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
194  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
195  --x-includes=DIR        X include files are in DIR
196  --x-libraries=DIR       X library files are in DIR
197EOF
198    if test -n "$ac_help"; then
199      echo "--enable and --with options recognized:$ac_help"
200    fi
201    exit 0 ;;
202
203  -host | --host | --hos | --ho)
204    ac_prev=host ;;
205  -host=* | --host=* | --hos=* | --ho=*)
206    host="$ac_optarg" ;;
207
208  -includedir | --includedir | --includedi | --included | --include \
209  | --includ | --inclu | --incl | --inc)
210    ac_prev=includedir ;;
211  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
212  | --includ=* | --inclu=* | --incl=* | --inc=*)
213    includedir="$ac_optarg" ;;
214
215  -infodir | --infodir | --infodi | --infod | --info | --inf)
216    ac_prev=infodir ;;
217  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
218    infodir="$ac_optarg" ;;
219
220  -libdir | --libdir | --libdi | --libd)
221    ac_prev=libdir ;;
222  -libdir=* | --libdir=* | --libdi=* | --libd=*)
223    libdir="$ac_optarg" ;;
224
225  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
226  | --libexe | --libex | --libe)
227    ac_prev=libexecdir ;;
228  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
229  | --libexe=* | --libex=* | --libe=*)
230    libexecdir="$ac_optarg" ;;
231
232  -localstatedir | --localstatedir | --localstatedi | --localstated \
233  | --localstate | --localstat | --localsta | --localst \
234  | --locals | --local | --loca | --loc | --lo)
235    ac_prev=localstatedir ;;
236  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
237  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
238  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
239    localstatedir="$ac_optarg" ;;
240
241  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
242    ac_prev=mandir ;;
243  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
244    mandir="$ac_optarg" ;;
245
246  -nfp | --nfp | --nf)
247    # Obsolete; use --without-fp.
248    with_fp=no ;;
249
250  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
251  | --no-cr | --no-c)
252    no_create=yes ;;
253
254  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
255  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
256    no_recursion=yes ;;
257
258  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
259  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
260  | --oldin | --oldi | --old | --ol | --o)
261    ac_prev=oldincludedir ;;
262  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
263  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
264  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
265    oldincludedir="$ac_optarg" ;;
266
267  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
268    ac_prev=prefix ;;
269  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
270    prefix="$ac_optarg" ;;
271
272  -program-prefix | --program-prefix | --program-prefi | --program-pref \
273  | --program-pre | --program-pr | --program-p)
274    ac_prev=program_prefix ;;
275  -program-prefix=* | --program-prefix=* | --program-prefi=* \
276  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
277    program_prefix="$ac_optarg" ;;
278
279  -program-suffix | --program-suffix | --program-suffi | --program-suff \
280  | --program-suf | --program-su | --program-s)
281    ac_prev=program_suffix ;;
282  -program-suffix=* | --program-suffix=* | --program-suffi=* \
283  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
284    program_suffix="$ac_optarg" ;;
285
286  -program-transform-name | --program-transform-name \
287  | --program-transform-nam | --program-transform-na \
288  | --program-transform-n | --program-transform- \
289  | --program-transform | --program-transfor \
290  | --program-transfo | --program-transf \
291  | --program-trans | --program-tran \
292  | --progr-tra | --program-tr | --program-t)
293    ac_prev=program_transform_name ;;
294  -program-transform-name=* | --program-transform-name=* \
295  | --program-transform-nam=* | --program-transform-na=* \
296  | --program-transform-n=* | --program-transform-=* \
297  | --program-transform=* | --program-transfor=* \
298  | --program-transfo=* | --program-transf=* \
299  | --program-trans=* | --program-tran=* \
300  | --progr-tra=* | --program-tr=* | --program-t=*)
301    program_transform_name="$ac_optarg" ;;
302
303  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
304  | -silent | --silent | --silen | --sile | --sil)
305    silent=yes ;;
306
307  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
308    ac_prev=sbindir ;;
309  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
310  | --sbi=* | --sb=*)
311    sbindir="$ac_optarg" ;;
312
313  -sharedstatedir | --sharedstatedir | --sharedstatedi \
314  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
315  | --sharedst | --shareds | --shared | --share | --shar \
316  | --sha | --sh)
317    ac_prev=sharedstatedir ;;
318  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
319  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
320  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
321  | --sha=* | --sh=*)
322    sharedstatedir="$ac_optarg" ;;
323
324  -site | --site | --sit)
325    ac_prev=site ;;
326  -site=* | --site=* | --sit=*)
327    site="$ac_optarg" ;;
328
329  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
330    ac_prev=srcdir ;;
331  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
332    srcdir="$ac_optarg" ;;
333
334  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
335  | --syscon | --sysco | --sysc | --sys | --sy)
336    ac_prev=sysconfdir ;;
337  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
338  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
339    sysconfdir="$ac_optarg" ;;
340
341  -target | --target | --targe | --targ | --tar | --ta | --t)
342    ac_prev=target ;;
343  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
344    target="$ac_optarg" ;;
345
346  -v | -verbose | --verbose | --verbos | --verbo | --verb)
347    verbose=yes ;;
348
349  -version | --version | --versio | --versi | --vers)
350    echo "configure generated by autoconf version 2.13"
351    exit 0 ;;
352
353  -with-* | --with-*)
354    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
355    # Reject names that are not valid shell variable names.
356    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
357      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358    fi
359    ac_package=`echo $ac_package| sed 's/-/_/g'`
360    case "$ac_option" in
361      *=*) ;;
362      *) ac_optarg=yes ;;
363    esac
364    eval "with_${ac_package}='$ac_optarg'" ;;
365
366  -without-* | --without-*)
367    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
368    # Reject names that are not valid shell variable names.
369    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
370      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
371    fi
372    ac_package=`echo $ac_package| sed 's/-/_/g'`
373    eval "with_${ac_package}=no" ;;
374
375  --x)
376    # Obsolete; use --with-x.
377    with_x=yes ;;
378
379  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
380  | --x-incl | --x-inc | --x-in | --x-i)
381    ac_prev=x_includes ;;
382  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
383  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
384    x_includes="$ac_optarg" ;;
385
386  -x-libraries | --x-libraries | --x-librarie | --x-librari \
387  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
388    ac_prev=x_libraries ;;
389  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
390  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
391    x_libraries="$ac_optarg" ;;
392
393  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
394    ;;
395
396  *)
397    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
398      echo "configure: warning: $ac_option: invalid host type" 1>&2
399    fi
400    if test "x$nonopt" != xNONE; then
401      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
402    fi
403    nonopt="$ac_option"
404    ;;
405
406  esac
407done
408
409if test -n "$ac_prev"; then
410  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
411fi
412
413trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
414
415# File descriptor usage:
416# 0 standard input
417# 1 file creation
418# 2 errors and warnings
419# 3 some systems may open it to /dev/tty
420# 4 used on the Kubota Titan
421# 6 checking for... messages and results
422# 5 compiler messages saved in config.log
423if test "$silent" = yes; then
424  exec 6>/dev/null
425else
426  exec 6>&1
427fi
428exec 5>./config.log
429
430echo "\
431This file contains any messages produced by compilers while
432running configure, to aid debugging if configure makes a mistake.
433" 1>&5
434
435# Strip out --no-create and --no-recursion so they do not pile up.
436# Also quote any args containing shell metacharacters.
437ac_configure_args=
438for ac_arg
439do
440  case "$ac_arg" in
441  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
442  | --no-cr | --no-c) ;;
443  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
444  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
445  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
446  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
447  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
448  esac
449done
450
451# NLS nuisances.
452# Only set these to C if already set.  These must not be set unconditionally
453# because not all systems understand e.g. LANG=C (notably SCO).
454# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
455# Non-C LC_CTYPE values break the ctype check.
456if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
457if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
458if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
459if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
460
461# confdefs.h avoids OS command line length limits that DEFS can exceed.
462rm -rf conftest* confdefs.h
463# AIX cpp loses on an empty file, so make sure it contains at least a newline.
464echo > confdefs.h
465
466# A filename unique to this package, relative to the directory that
467# configure is in, which we can look for to find out if srcdir is correct.
468ac_unique_file=omAlloc.c
469
470# Find the source files, if location was not specified.
471if test -z "$srcdir"; then
472  ac_srcdir_defaulted=yes
473  # Try the directory containing this script, then its parent.
474  ac_prog=$0
475  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
476  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
477  srcdir=$ac_confdir
478  if test ! -r $srcdir/$ac_unique_file; then
479    srcdir=..
480  fi
481else
482  ac_srcdir_defaulted=no
483fi
484if test ! -r $srcdir/$ac_unique_file; then
485  if test "$ac_srcdir_defaulted" = yes; then
486    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
487  else
488    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
489  fi
490fi
491srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
492
493# Prefer explicitly selected file to automatically selected ones.
494if test -z "$CONFIG_SITE"; then
495  if test "x$prefix" != xNONE; then
496    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
497  else
498    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
499  fi
500fi
501for ac_site_file in $CONFIG_SITE; do
502  if test -r "$ac_site_file"; then
503    echo "loading site script $ac_site_file"
504    . "$ac_site_file"
505  fi
506done
507
508if test -r "$cache_file"; then
509  echo "loading cache $cache_file"
510  . $cache_file
511else
512  echo "creating cache $cache_file"
513  > $cache_file
514fi
515
516ac_ext=c
517# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
518ac_cpp='$CPP $CPPFLAGS'
519ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
520ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
521cross_compiling=$ac_cv_prog_cc_cross
522
523ac_exeext=
524ac_objext=o
525if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
526  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
527  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
528    ac_n= ac_c='
529' ac_t='        '
530  else
531    ac_n=-n ac_c= ac_t=
532  fi
533else
534  ac_n= ac_c='\c' ac_t=
535fi
536
537
538
539
540# Check whether --with-align8 or --without-align8 was given.
541if test "${with_align8+set}" = set; then
542  withval="$with_align8"
543  :
544fi
545
546# Check whether --with-align8 or --without-align8 was given.
547if test "${with_align8+set}" = set; then
548  withval="$with_align8"
549  :
550fi
551
552# Check whether --enable-mtrack or --disable-mtrack was given.
553if test "${enable_mtrack+set}" = set; then
554  enableval="$enable_mtrack"
555  :
556fi
557
558# Check whether --with-return_addr_func or --without-return_addr_func was given.
559if test "${with_return_addr_func+set}" = set; then
560  withval="$with_return_addr_func"
561  :
562fi
563
564# Check whether --with-frame_addr_func or --without-frame_addr_func was given.
565if test "${with_frame_addr_func+set}" = set; then
566  withval="$with_frame_addr_func"
567  :
568fi
569
570
571                             
572
573echo $ac_n "checking singuname""... $ac_c" 1>&6
574echo "configure:575: checking singuname" >&5
575if eval "test \"`echo '$''{'ac_cv_singuname'+set}'`\" = set"; then
576  echo $ac_n "(cached) $ac_c" 1>&6
577else
578  ac_cv_singuname="unknown"
579if test -r "singuname.sh"; then
580  if (/bin/sh singuname.sh >/dev/null 2>&1) then
581    ac_cv_singuname=`/bin/sh singuname.sh`
582  fi
583fi
584if test "$ac_cv_singuname" = unknown && test -r "../singuname.sh"; then
585  if (/bin/sh ../singuname.sh >/dev/null 2>&1) then
586    ac_cv_singuname=`/bin/sh ../singuname.sh`
587  fi
588fi
589
590fi
591
592echo "$ac_t""$ac_cv_singuname" 1>&6
593if test "$ac_cv_singuname" = unknown; then
594  echo "configure: warning: Unknown architecture: Check singuname.sh" 1>&2
595  ac_cv_singuname="unknown"
596fi
597
598
599if test "${CFLAGS+set}" != set; then
600  CFLAGS="-O"
601  ac_cflags_set=no
602fi
603
604echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
605echo "configure:606: checking whether ${MAKE-make} sets \${MAKE}" >&5
606set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
607if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
608  echo $ac_n "(cached) $ac_c" 1>&6
609else
610  cat > conftestmake <<\EOF
611all:
612        @echo 'ac_maketemp="${MAKE}"'
613EOF
614# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
615eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
616if test -n "$ac_maketemp"; then
617  eval ac_cv_prog_make_${ac_make}_set=yes
618else
619  eval ac_cv_prog_make_${ac_make}_set=no
620fi
621rm -f conftestmake
622fi
623if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
624  echo "$ac_t""yes" 1>&6
625  SET_MAKE=
626else
627  echo "$ac_t""no" 1>&6
628  SET_MAKE="MAKE=${MAKE-make}"
629fi
630
631# Extract the first word of "gcc", so it can be a program name with args.
632set dummy gcc; ac_word=$2
633echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
634echo "configure:635: checking for $ac_word" >&5
635if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
636  echo $ac_n "(cached) $ac_c" 1>&6
637else
638  if test -n "$CC"; then
639  ac_cv_prog_CC="$CC" # Let the user override the test.
640else
641  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
642  ac_dummy="$PATH"
643  for ac_dir in $ac_dummy; do
644    test -z "$ac_dir" && ac_dir=.
645    if test -f $ac_dir/$ac_word; then
646      ac_cv_prog_CC="gcc"
647      break
648    fi
649  done
650  IFS="$ac_save_ifs"
651fi
652fi
653CC="$ac_cv_prog_CC"
654if test -n "$CC"; then
655  echo "$ac_t""$CC" 1>&6
656else
657  echo "$ac_t""no" 1>&6
658fi
659
660if test -z "$CC"; then
661  # Extract the first word of "cc", so it can be a program name with args.
662set dummy cc; ac_word=$2
663echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
664echo "configure:665: checking for $ac_word" >&5
665if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
666  echo $ac_n "(cached) $ac_c" 1>&6
667else
668  if test -n "$CC"; then
669  ac_cv_prog_CC="$CC" # Let the user override the test.
670else
671  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
672  ac_prog_rejected=no
673  ac_dummy="$PATH"
674  for ac_dir in $ac_dummy; do
675    test -z "$ac_dir" && ac_dir=.
676    if test -f $ac_dir/$ac_word; then
677      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
678        ac_prog_rejected=yes
679        continue
680      fi
681      ac_cv_prog_CC="cc"
682      break
683    fi
684  done
685  IFS="$ac_save_ifs"
686if test $ac_prog_rejected = yes; then
687  # We found a bogon in the path, so make sure we never use it.
688  set dummy $ac_cv_prog_CC
689  shift
690  if test $# -gt 0; then
691    # We chose a different compiler from the bogus one.
692    # However, it has the same basename, so the bogon will be chosen
693    # first if we set CC to just the basename; use the full file name.
694    shift
695    set dummy "$ac_dir/$ac_word" "$@"
696    shift
697    ac_cv_prog_CC="$@"
698  fi
699fi
700fi
701fi
702CC="$ac_cv_prog_CC"
703if test -n "$CC"; then
704  echo "$ac_t""$CC" 1>&6
705else
706  echo "$ac_t""no" 1>&6
707fi
708
709  if test -z "$CC"; then
710    case "`uname -s`" in
711    *win32* | *WIN32*)
712      # Extract the first word of "cl", so it can be a program name with args.
713set dummy cl; ac_word=$2
714echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
715echo "configure:716: checking for $ac_word" >&5
716if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
717  echo $ac_n "(cached) $ac_c" 1>&6
718else
719  if test -n "$CC"; then
720  ac_cv_prog_CC="$CC" # Let the user override the test.
721else
722  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
723  ac_dummy="$PATH"
724  for ac_dir in $ac_dummy; do
725    test -z "$ac_dir" && ac_dir=.
726    if test -f $ac_dir/$ac_word; then
727      ac_cv_prog_CC="cl"
728      break
729    fi
730  done
731  IFS="$ac_save_ifs"
732fi
733fi
734CC="$ac_cv_prog_CC"
735if test -n "$CC"; then
736  echo "$ac_t""$CC" 1>&6
737else
738  echo "$ac_t""no" 1>&6
739fi
740 ;;
741    esac
742  fi
743  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
744fi
745
746echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
747echo "configure:748: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
748
749ac_ext=c
750# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
751ac_cpp='$CPP $CPPFLAGS'
752ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
753ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
754cross_compiling=$ac_cv_prog_cc_cross
755
756cat > conftest.$ac_ext << EOF
757
758#line 759 "configure"
759#include "confdefs.h"
760
761main(){return(0);}
762EOF
763if { (eval echo configure:764: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
764  ac_cv_prog_cc_works=yes
765  # If we can't run a trivial program, we are probably using a cross compiler.
766  if (./conftest; exit) 2>/dev/null; then
767    ac_cv_prog_cc_cross=no
768  else
769    ac_cv_prog_cc_cross=yes
770  fi
771else
772  echo "configure: failed program was:" >&5
773  cat conftest.$ac_ext >&5
774  ac_cv_prog_cc_works=no
775fi
776rm -fr conftest*
777ac_ext=c
778# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
779ac_cpp='$CPP $CPPFLAGS'
780ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
781ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
782cross_compiling=$ac_cv_prog_cc_cross
783
784echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
785if test $ac_cv_prog_cc_works = no; then
786  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
787fi
788echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
789echo "configure:790: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
790echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
791cross_compiling=$ac_cv_prog_cc_cross
792
793echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
794echo "configure:795: checking whether we are using GNU C" >&5
795if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
796  echo $ac_n "(cached) $ac_c" 1>&6
797else
798  cat > conftest.c <<EOF
799#ifdef __GNUC__
800  yes;
801#endif
802EOF
803if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:804: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
804  ac_cv_prog_gcc=yes
805else
806  ac_cv_prog_gcc=no
807fi
808fi
809
810echo "$ac_t""$ac_cv_prog_gcc" 1>&6
811
812if test $ac_cv_prog_gcc = yes; then
813  GCC=yes
814else
815  GCC=
816fi
817
818ac_test_CFLAGS="${CFLAGS+set}"
819ac_save_CFLAGS="$CFLAGS"
820CFLAGS=
821echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
822echo "configure:823: checking whether ${CC-cc} accepts -g" >&5
823if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
824  echo $ac_n "(cached) $ac_c" 1>&6
825else
826  echo 'void f(){}' > conftest.c
827if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
828  ac_cv_prog_cc_g=yes
829else
830  ac_cv_prog_cc_g=no
831fi
832rm -f conftest*
833
834fi
835
836echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
837if test "$ac_test_CFLAGS" = set; then
838  CFLAGS="$ac_save_CFLAGS"
839elif test $ac_cv_prog_cc_g = yes; then
840  if test "$GCC" = yes; then
841    CFLAGS="-g -O2"
842  else
843    CFLAGS="-g"
844  fi
845else
846  if test "$GCC" = yes; then
847    CFLAGS="-O2"
848  else
849    CFLAGS=
850  fi
851fi
852
853echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
854echo "configure:855: checking how to run the C preprocessor" >&5
855# On Suns, sometimes $CPP names a directory.
856if test -n "$CPP" && test -d "$CPP"; then
857  CPP=
858fi
859if test -z "$CPP"; then
860if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
861  echo $ac_n "(cached) $ac_c" 1>&6
862else
863    # This must be in double quotes, not single quotes, because CPP may get
864  # substituted into the Makefile and "${CC-cc}" will confuse make.
865  CPP="${CC-cc} -E"
866  # On the NeXT, cc -E runs the code through the compiler's parser,
867  # not just through cpp.
868  cat > conftest.$ac_ext <<EOF
869#line 870 "configure"
870#include "confdefs.h"
871#include <assert.h>
872Syntax Error
873EOF
874ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
875{ (eval echo configure:876: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
876ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
877if test -z "$ac_err"; then
878  :
879else
880  echo "$ac_err" >&5
881  echo "configure: failed program was:" >&5
882  cat conftest.$ac_ext >&5
883  rm -rf conftest*
884  CPP="${CC-cc} -E -traditional-cpp"
885  cat > conftest.$ac_ext <<EOF
886#line 887 "configure"
887#include "confdefs.h"
888#include <assert.h>
889Syntax Error
890EOF
891ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
892{ (eval echo configure:893: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
893ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
894if test -z "$ac_err"; then
895  :
896else
897  echo "$ac_err" >&5
898  echo "configure: failed program was:" >&5
899  cat conftest.$ac_ext >&5
900  rm -rf conftest*
901  CPP="${CC-cc} -nologo -E"
902  cat > conftest.$ac_ext <<EOF
903#line 904 "configure"
904#include "confdefs.h"
905#include <assert.h>
906Syntax Error
907EOF
908ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
909{ (eval echo configure:910: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
910ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
911if test -z "$ac_err"; then
912  :
913else
914  echo "$ac_err" >&5
915  echo "configure: failed program was:" >&5
916  cat conftest.$ac_ext >&5
917  rm -rf conftest*
918  CPP=/lib/cpp
919fi
920rm -f conftest*
921fi
922rm -f conftest*
923fi
924rm -f conftest*
925  ac_cv_prog_CPP="$CPP"
926fi
927  CPP="$ac_cv_prog_CPP"
928else
929  ac_cv_prog_CPP="$CPP"
930fi
931echo "$ac_t""$CPP" 1>&6
932
933echo $ac_n "checking for working const""... $ac_c" 1>&6
934echo "configure:935: checking for working const" >&5
935if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
936  echo $ac_n "(cached) $ac_c" 1>&6
937else
938  cat > conftest.$ac_ext <<EOF
939#line 940 "configure"
940#include "confdefs.h"
941
942int main() {
943
944/* Ultrix mips cc rejects this.  */
945typedef int charset[2]; const charset x;
946/* SunOS 4.1.1 cc rejects this.  */
947char const *const *ccp;
948char **p;
949/* NEC SVR4.0.2 mips cc rejects this.  */
950struct point {int x, y;};
951static struct point const zero = {0,0};
952/* AIX XL C 1.02.0.0 rejects this.
953   It does not let you subtract one const X* pointer from another in an arm
954   of an if-expression whose if-part is not a constant expression */
955const char *g = "string";
956ccp = &g + (g ? g-g : 0);
957/* HPUX 7.0 cc rejects these. */
958++ccp;
959p = (char**) ccp;
960ccp = (char const *const *) p;
961{ /* SCO 3.2v4 cc rejects this.  */
962  char *t;
963  char const *s = 0 ? (char *) 0 : (char const *) 0;
964
965  *t++ = 0;
966}
967{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
968  int x[] = {25, 17};
969  const int *foo = &x[0];
970  ++foo;
971}
972{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
973  typedef const int *iptr;
974  iptr p = 0;
975  ++p;
976}
977{ /* AIX XL C 1.02.0.0 rejects this saying
978     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
979  struct s { int j; const int *ap[3]; };
980  struct s *b; b->j = 5;
981}
982{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
983  const int foo = 10;
984}
985
986; return 0; }
987EOF
988if { (eval echo configure:989: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
989  rm -rf conftest*
990  ac_cv_c_const=yes
991else
992  echo "configure: failed program was:" >&5
993  cat conftest.$ac_ext >&5
994  rm -rf conftest*
995  ac_cv_c_const=no
996fi
997rm -f conftest*
998fi
999
1000echo "$ac_t""$ac_cv_c_const" 1>&6
1001if test $ac_cv_c_const = no; then
1002  cat >> confdefs.h <<\EOF
1003#define const
1004EOF
1005
1006fi
1007
1008echo $ac_n "checking for inline""... $ac_c" 1>&6
1009echo "configure:1010: checking for inline" >&5
1010if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
1011  echo $ac_n "(cached) $ac_c" 1>&6
1012else
1013  ac_cv_c_inline=no
1014for ac_kw in inline __inline__ __inline; do
1015  cat > conftest.$ac_ext <<EOF
1016#line 1017 "configure"
1017#include "confdefs.h"
1018
1019int main() {
1020} $ac_kw foo() {
1021; return 0; }
1022EOF
1023if { (eval echo configure:1024: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1024  rm -rf conftest*
1025  ac_cv_c_inline=$ac_kw; break
1026else
1027  echo "configure: failed program was:" >&5
1028  cat conftest.$ac_ext >&5
1029fi
1030rm -f conftest*
1031done
1032
1033fi
1034
1035echo "$ac_t""$ac_cv_c_inline" 1>&6
1036case "$ac_cv_c_inline" in
1037  inline | yes) ;;
1038  no) cat >> confdefs.h <<\EOF
1039#define inline
1040EOF
1041 ;;
1042  *)  cat >> confdefs.h <<EOF
1043#define inline $ac_cv_c_inline
1044EOF
1045 ;;
1046esac
1047
1048if test "$ac_cv_c_inline" != no; then
1049  cat >> confdefs.h <<EOF
1050#define OM_INLINE static $ac_cv_c_inline
1051EOF
1052
1053fi
1054# Extract the first word of "ranlib", so it can be a program name with args.
1055set dummy ranlib; ac_word=$2
1056echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1057echo "configure:1058: checking for $ac_word" >&5
1058if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
1059  echo $ac_n "(cached) $ac_c" 1>&6
1060else
1061  if test -n "$RANLIB"; then
1062  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
1063else
1064  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1065  ac_dummy="$PATH"
1066  for ac_dir in $ac_dummy; do
1067    test -z "$ac_dir" && ac_dir=.
1068    if test -f $ac_dir/$ac_word; then
1069      ac_cv_prog_RANLIB="ranlib"
1070      break
1071    fi
1072  done
1073  IFS="$ac_save_ifs"
1074  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
1075fi
1076fi
1077RANLIB="$ac_cv_prog_RANLIB"
1078if test -n "$RANLIB"; then
1079  echo "$ac_t""$RANLIB" 1>&6
1080else
1081  echo "$ac_t""no" 1>&6
1082fi
1083
1084# Extract the first word of "ar", so it can be a program name with args.
1085set dummy ar; ac_word=$2
1086echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1087echo "configure:1088: checking for $ac_word" >&5
1088if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
1089  echo $ac_n "(cached) $ac_c" 1>&6
1090else
1091  if test -n "$AR"; then
1092  ac_cv_prog_AR="$AR" # Let the user override the test.
1093else
1094  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1095  ac_dummy="$PATH"
1096  for ac_dir in $ac_dummy; do
1097    test -z "$ac_dir" && ac_dir=.
1098    if test -f $ac_dir/$ac_word; then
1099      ac_cv_prog_AR="ar"
1100      break
1101    fi
1102  done
1103  IFS="$ac_save_ifs"
1104  test -z "$ac_cv_prog_AR" && ac_cv_prog_AR=":"
1105fi
1106fi
1107AR="$ac_cv_prog_AR"
1108if test -n "$AR"; then
1109  echo "$ac_t""$AR" 1>&6
1110else
1111  echo "$ac_t""no" 1>&6
1112fi
1113
1114if test "$ac_cv_prog_AR" != ar; then
1115  { echo "configure: error: *** ar program not found" 1>&2; exit 1; }
1116fi
1117# Extract the first word of "perl", so it can be a program name with args.
1118set dummy perl; ac_word=$2
1119echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1120echo "configure:1121: checking for $ac_word" >&5
1121if eval "test \"`echo '$''{'ac_cv_prog_PERL'+set}'`\" = set"; then
1122  echo $ac_n "(cached) $ac_c" 1>&6
1123else
1124  if test -n "$PERL"; then
1125  ac_cv_prog_PERL="$PERL" # Let the user override the test.
1126else
1127  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1128  ac_dummy="$PATH"
1129  for ac_dir in $ac_dummy; do
1130    test -z "$ac_dir" && ac_dir=.
1131    if test -f $ac_dir/$ac_word; then
1132      ac_cv_prog_PERL="perl"
1133      break
1134    fi
1135  done
1136  IFS="$ac_save_ifs"
1137  test -z "$ac_cv_prog_PERL" && ac_cv_prog_PERL=":"
1138fi
1139fi
1140PERL="$ac_cv_prog_PERL"
1141if test -n "$PERL"; then
1142  echo "$ac_t""$PERL" 1>&6
1143else
1144  echo "$ac_t""no" 1>&6
1145fi
1146
1147if test "$ac_cv_prog_PERL" != perl; then
1148  { echo "configure: error: *** perl program not found" 1>&2; exit 1; }
1149fi
1150
1151# Extract the first word of "addr2line", so it can be a program name with args.
1152set dummy addr2line; ac_word=$2
1153echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1154echo "configure:1155: checking for $ac_word" >&5
1155if eval "test \"`echo '$''{'ac_cv_prog_ADDR2LINE'+set}'`\" = set"; then
1156  echo $ac_n "(cached) $ac_c" 1>&6
1157else
1158  if test -n "$ADDR2LINE"; then
1159  ac_cv_prog_ADDR2LINE="$ADDR2LINE" # Let the user override the test.
1160else
1161  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1162  ac_dummy="$PATH"
1163  for ac_dir in $ac_dummy; do
1164    test -z "$ac_dir" && ac_dir=.
1165    if test -f $ac_dir/$ac_word; then
1166      ac_cv_prog_ADDR2LINE="addr2line"
1167      break
1168    fi
1169  done
1170  IFS="$ac_save_ifs"
1171  test -z "$ac_cv_prog_ADDR2LINE" && ac_cv_prog_ADDR2LINE="no"
1172fi
1173fi
1174ADDR2LINE="$ac_cv_prog_ADDR2LINE"
1175if test -n "$ADDR2LINE"; then
1176  echo "$ac_t""$ADDR2LINE" 1>&6
1177else
1178  echo "$ac_t""no" 1>&6
1179fi
1180
1181if test "$ac_cv_prog_ADDR2LINE" = addr2line; then
1182  cat >> confdefs.h <<EOF
1183#define OM_PROG_ADDR2LINE "$ac_cv_prog_ADDR2LINE"
1184EOF
1185
1186fi
1187# Extract the first word of "nm", so it can be a program name with args.
1188set dummy nm; ac_word=$2
1189echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1190echo "configure:1191: checking for $ac_word" >&5
1191if eval "test \"`echo '$''{'ac_cv_prog_NM'+set}'`\" = set"; then
1192  echo $ac_n "(cached) $ac_c" 1>&6
1193else
1194  if test -n "$NM"; then
1195  ac_cv_prog_NM="$NM" # Let the user override the test.
1196else
1197  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
1198  ac_dummy="$PATH"
1199  for ac_dir in $ac_dummy; do
1200    test -z "$ac_dir" && ac_dir=.
1201    if test -f $ac_dir/$ac_word; then
1202      ac_cv_prog_NM="nm"
1203      break
1204    fi
1205  done
1206  IFS="$ac_save_ifs"
1207  test -z "$ac_cv_prog_NM" && ac_cv_prog_NM="no"
1208fi
1209fi
1210NM="$ac_cv_prog_NM"
1211if test -n "$NM"; then
1212  echo "$ac_t""$NM" 1>&6
1213else
1214  echo "$ac_t""no" 1>&6
1215fi
1216
1217if test "$ac_cv_prog_NM" = nm; then
1218  cat >> confdefs.h <<EOF
1219#define OM_PROG_NM "$ac_cv_prog_NM"
1220EOF
1221
1222fi
1223
1224# header file checks
1225echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1226echo "configure:1227: checking for ANSI C header files" >&5
1227if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1228  echo $ac_n "(cached) $ac_c" 1>&6
1229else
1230  cat > conftest.$ac_ext <<EOF
1231#line 1232 "configure"
1232#include "confdefs.h"
1233#include <stdlib.h>
1234#include <stdarg.h>
1235#include <string.h>
1236#include <float.h>
1237EOF
1238ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1239{ (eval echo configure:1240: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1240ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1241if test -z "$ac_err"; then
1242  rm -rf conftest*
1243  ac_cv_header_stdc=yes
1244else
1245  echo "$ac_err" >&5
1246  echo "configure: failed program was:" >&5
1247  cat conftest.$ac_ext >&5
1248  rm -rf conftest*
1249  ac_cv_header_stdc=no
1250fi
1251rm -f conftest*
1252
1253if test $ac_cv_header_stdc = yes; then
1254  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1255cat > conftest.$ac_ext <<EOF
1256#line 1257 "configure"
1257#include "confdefs.h"
1258#include <string.h>
1259EOF
1260if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1261  egrep "memchr" >/dev/null 2>&1; then
1262  :
1263else
1264  rm -rf conftest*
1265  ac_cv_header_stdc=no
1266fi
1267rm -f conftest*
1268
1269fi
1270
1271if test $ac_cv_header_stdc = yes; then
1272  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1273cat > conftest.$ac_ext <<EOF
1274#line 1275 "configure"
1275#include "confdefs.h"
1276#include <stdlib.h>
1277EOF
1278if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1279  egrep "free" >/dev/null 2>&1; then
1280  :
1281else
1282  rm -rf conftest*
1283  ac_cv_header_stdc=no
1284fi
1285rm -f conftest*
1286
1287fi
1288
1289if test $ac_cv_header_stdc = yes; then
1290  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1291if test "$cross_compiling" = yes; then
1292  :
1293else
1294  cat > conftest.$ac_ext <<EOF
1295#line 1296 "configure"
1296#include "confdefs.h"
1297#include <ctype.h>
1298#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1299#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1300#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1301int main () { int i; for (i = 0; i < 256; i++)
1302if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1303exit (0); }
1304
1305EOF
1306if { (eval echo configure:1307: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1307then
1308  :
1309else
1310  echo "configure: failed program was:" >&5
1311  cat conftest.$ac_ext >&5
1312  rm -fr conftest*
1313  ac_cv_header_stdc=no
1314fi
1315rm -fr conftest*
1316fi
1317
1318fi
1319fi
1320
1321echo "$ac_t""$ac_cv_header_stdc" 1>&6
1322if test $ac_cv_header_stdc = yes; then
1323  cat >> confdefs.h <<\EOF
1324#define STDC_HEADERS 1
1325EOF
1326
1327fi
1328
1329for ac_hdr in limits.h
1330do
1331ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1332echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1333echo "configure:1334: checking for $ac_hdr" >&5
1334if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1335  echo $ac_n "(cached) $ac_c" 1>&6
1336else
1337  cat > conftest.$ac_ext <<EOF
1338#line 1339 "configure"
1339#include "confdefs.h"
1340#include <$ac_hdr>
1341EOF
1342ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1343{ (eval echo configure:1344: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1344ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1345if test -z "$ac_err"; then
1346  rm -rf conftest*
1347  eval "ac_cv_header_$ac_safe=yes"
1348else
1349  echo "$ac_err" >&5
1350  echo "configure: failed program was:" >&5
1351  cat conftest.$ac_ext >&5
1352  rm -rf conftest*
1353  eval "ac_cv_header_$ac_safe=no"
1354fi
1355rm -f conftest*
1356fi
1357if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1358  echo "$ac_t""yes" 1>&6
1359    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1360  cat >> confdefs.h <<EOF
1361#define $ac_tr_hdr 1
1362EOF
1363 
1364else
1365  echo "$ac_t""no" 1>&6
1366{ echo "configure: error: Can not compile without limits.h" 1>&2; exit 1; }
1367fi
1368done
1369
1370for ac_hdr in unistd.h
1371do
1372ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1373echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1374echo "configure:1375: checking for $ac_hdr" >&5
1375if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1376  echo $ac_n "(cached) $ac_c" 1>&6
1377else
1378  cat > conftest.$ac_ext <<EOF
1379#line 1380 "configure"
1380#include "confdefs.h"
1381#include <$ac_hdr>
1382EOF
1383ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1384{ (eval echo configure:1385: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1385ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1386if test -z "$ac_err"; then
1387  rm -rf conftest*
1388  eval "ac_cv_header_$ac_safe=yes"
1389else
1390  echo "$ac_err" >&5
1391  echo "configure: failed program was:" >&5
1392  cat conftest.$ac_ext >&5
1393  rm -rf conftest*
1394  eval "ac_cv_header_$ac_safe=no"
1395fi
1396rm -f conftest*
1397fi
1398if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1399  echo "$ac_t""yes" 1>&6
1400    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1401  cat >> confdefs.h <<EOF
1402#define $ac_tr_hdr 1
1403EOF
1404 
1405else
1406  echo "$ac_t""no" 1>&6
1407fi
1408done
1409
1410
1411for ac_func in popen readlink getcwd getwd
1412do
1413echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1414echo "configure:1415: checking for $ac_func" >&5
1415if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1416  echo $ac_n "(cached) $ac_c" 1>&6
1417else
1418  cat > conftest.$ac_ext <<EOF
1419#line 1420 "configure"
1420#include "confdefs.h"
1421/* System header to define __stub macros and hopefully few prototypes,
1422    which can conflict with char $ac_func(); below.  */
1423#include <assert.h>
1424/* Override any gcc2 internal prototype to avoid an error.  */
1425/* We use char because int might match the return type of a gcc2
1426    builtin and then its argument prototype would still apply.  */
1427char $ac_func();
1428
1429int main() {
1430
1431/* The GNU C library defines this for functions which it implements
1432    to always fail with ENOSYS.  Some functions are actually named
1433    something starting with __ and the normal name is an alias.  */
1434#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1435choke me
1436#else
1437$ac_func();
1438#endif
1439
1440; return 0; }
1441EOF
1442if { (eval echo configure:1443: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1443  rm -rf conftest*
1444  eval "ac_cv_func_$ac_func=yes"
1445else
1446  echo "configure: failed program was:" >&5
1447  cat conftest.$ac_ext >&5
1448  rm -rf conftest*
1449  eval "ac_cv_func_$ac_func=no"
1450fi
1451rm -f conftest*
1452fi
1453
1454if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1455  echo "$ac_t""yes" 1>&6
1456    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1457  cat >> confdefs.h <<EOF
1458#define $ac_tr_func 1
1459EOF
1460 
1461else
1462  echo "$ac_t""no" 1>&6
1463fi
1464done
1465
1466
1467
1468if test "$enable_mtrack" != no; then
1469
1470# get function for return address
1471if test "${with_return_addr_func+set}" = set; then
1472if test "${with_return_addr_func}" != no; then
1473  ac_cv_return_addr_func=$with_return_addr_func
1474fi
1475else
1476if test "${GCC}" = yes; then
1477  ac_cv_return_addr_func="__builtin_return_address"
1478fi
1479fi
1480
1481# test this function
1482if test "${ac_cv_return_addr_func+set}" = set; then
1483cat >> confdefs.h <<EOF
1484#define OM_RETURN_ADDR $ac_cv_return_addr_func
1485EOF
1486
1487# first, check whether return addr works
1488echo $ac_n "checking whether $ac_cv_return_addr_func works""... $ac_c" 1>&6
1489echo "configure:1490: checking whether $ac_cv_return_addr_func works" >&5
1490if eval "test \"`echo '$''{'ac_cv_return_addr_func_works'+set}'`\" = set"; then
1491  echo $ac_n "(cached) $ac_c" 1>&6
1492else
1493  if test "$cross_compiling" = yes; then
1494  ac_cv_return_addr_func_works=no
1495else
1496  cat > conftest.$ac_ext <<EOF
1497#line 1498 "configure"
1498#include "confdefs.h"
1499
1500int test_return_addr()
1501{
1502   if (OM_RETURN_ADDR(1)  != 0 && OM_RETURN_ADDR(0) != 0 &&
1503       OM_RETURN_ADDR(1) != OM_RETURN_ADDR(0)) return 0;
1504   return 1;
1505}
1506
1507int main()
1508{
1509   return test_return_addr();
1510}
1511
1512EOF
1513if { (eval echo configure:1514: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1514then
1515  ac_cv_return_addr_func_works=yes
1516else
1517  echo "configure: failed program was:" >&5
1518  cat conftest.$ac_ext >&5
1519  rm -fr conftest*
1520  ac_cv_return_addr_func_works=no
1521fi
1522rm -fr conftest*
1523fi
1524
1525fi
1526
1527echo "$ac_t""$ac_cv_return_addr_func_works" 1>&6
1528
1529if test "$ac_cv_return_addr_func_works" = yes; then
1530cat >> confdefs.h <<\EOF
1531#define OM_RETURN_ADDR_WORKS 1
1532EOF
1533
1534# check whether return addr works with rvalues
1535echo $ac_n "checking whether $ac_cv_return_addr_func takes rvalues""... $ac_c" 1>&6
1536echo "configure:1537: checking whether $ac_cv_return_addr_func takes rvalues" >&5
1537if eval "test \"`echo '$''{'ac_cv_return_addr_func_rvalue'+set}'`\" = set"; then
1538  echo $ac_n "(cached) $ac_c" 1>&6
1539else
1540  if test "$cross_compiling" = yes; then
1541  ac_cv_return_addr_func_rvalue=no
1542else
1543  cat > conftest.$ac_ext <<EOF
1544#line 1545 "configure"
1545#include "confdefs.h"
1546
1547int test_return_addr(int f1, int f2)
1548{
1549   if (OM_RETURN_ADDR(f1)  != 0 && OM_RETURN_ADDR(f0) != 0 &&
1550       OM_RETURN_ADDR(f1) != OM_RETURN_ADDR(f0)) return 0;
1551   return 1;
1552}
1553
1554int main()
1555{
1556   return test_return_addr(1, 0);
1557}
1558
1559EOF
1560if { (eval echo configure:1561: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1561then
1562  ac_cv_return_addr_func_rvalue=yes
1563else
1564  echo "configure: failed program was:" >&5
1565  cat conftest.$ac_ext >&5
1566  rm -fr conftest*
1567  ac_cv_return_addr_func_rvalue=no
1568fi
1569rm -fr conftest*
1570fi
1571
1572fi
1573
1574echo "$ac_t""$ac_cv_return_addr_func_rvalue" 1>&6
1575if test "$ac_cv_return_addr_func_rvalue" = yes; then
1576  cat >> confdefs.h <<EOF
1577#define OM_RETURN_ADDR_RVALUE 1
1578EOF
1579
1580fi
1581fi # "$ac_cv_return_addr_func_works" = yes;
1582fi # "${ac_cv_return_addr_func+set}" = set;
1583
1584# get function for frame address
1585if test "${with_frame_addr_func+set}" = set; then
1586if test "${with_frame_addr_func}" != no; then
1587  ac_cv_frame_addr_func=$with_frame_addr_func
1588fi
1589else
1590if test "${GCC}" = yes; then
1591  ac_cv_frame_addr_func="__builtin_frame_address"
1592fi
1593fi
1594
1595# test this function
1596if test "${ac_cv_frame_addr_func+set}" = set; then
1597cat >> confdefs.h <<EOF
1598#define OM_FRAME_ADDR $ac_cv_frame_addr_func
1599EOF
1600
1601# first, check whether frame addr works
1602echo $ac_n "checking whether $ac_cv_frame_addr_func works""... $ac_c" 1>&6
1603echo "configure:1604: checking whether $ac_cv_frame_addr_func works" >&5
1604if eval "test \"`echo '$''{'ac_cv_frame_addr_func_works'+set}'`\" = set"; then
1605  echo $ac_n "(cached) $ac_c" 1>&6
1606else
1607  if test "$cross_compiling" = yes; then
1608  ac_cv_frame_addr_func_works=no
1609else
1610  cat > conftest.$ac_ext <<EOF
1611#line 1612 "configure"
1612#include "confdefs.h"
1613
1614int test_frame_addr()
1615{
1616   if (OM_FRAME_ADDR(1)  != 0 && OM_FRAME_ADDR(0) != 0 &&
1617       OM_FRAME_ADDR(1) != OM_FRAME_ADDR(0)) return 0;
1618   return 1;
1619}
1620
1621int main()
1622{
1623   return test_frame_addr();
1624}
1625
1626EOF
1627if { (eval echo configure:1628: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1628then
1629  ac_cv_frame_addr_func_works=yes
1630else
1631  echo "configure: failed program was:" >&5
1632  cat conftest.$ac_ext >&5
1633  rm -fr conftest*
1634  ac_cv_frame_addr_func_works=no
1635fi
1636rm -fr conftest*
1637fi
1638
1639fi
1640
1641echo "$ac_t""$ac_cv_frame_addr_func_works" 1>&6
1642
1643if test "$ac_cv_frame_addr_func_works" = yes; then
1644cat >> confdefs.h <<\EOF
1645#define OM_FRAME_ADDR_WORKS 1
1646EOF
1647
1648# check whether frame addr works with rvalues
1649echo $ac_n "checking whether $ac_cv_frame_addr_func takes rvalues""... $ac_c" 1>&6
1650echo "configure:1651: checking whether $ac_cv_frame_addr_func takes rvalues" >&5
1651if eval "test \"`echo '$''{'ac_cv_frame_addr_func_rvalue'+set}'`\" = set"; then
1652  echo $ac_n "(cached) $ac_c" 1>&6
1653else
1654  if test "$cross_compiling" = yes; then
1655  ac_cv_frame_addr_func_rvalue=no
1656else
1657  cat > conftest.$ac_ext <<EOF
1658#line 1659 "configure"
1659#include "confdefs.h"
1660
1661int test_frame_addr(int f1, int f2)
1662{
1663   if (OM_FRAME_ADDR(f1)  != 0 && OM_FRAME_ADDR(f0) != 0 &&
1664       OM_FRAME_ADDR(f1) != OM_FRAME_ADDR(f0)) return 0;
1665   return 1;
1666}
1667
1668int main()
1669{
1670   return test_frame_addr(1, 0);
1671}
1672
1673EOF
1674if { (eval echo configure:1675: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1675then
1676  ac_cv_frame_addr_func_rvalue=yes
1677else
1678  echo "configure: failed program was:" >&5
1679  cat conftest.$ac_ext >&5
1680  rm -fr conftest*
1681  ac_cv_frame_addr_func_rvalue=no
1682fi
1683rm -fr conftest*
1684fi
1685
1686fi
1687
1688echo "$ac_t""$ac_cv_frame_addr_func_rvalue" 1>&6
1689if test "$ac_cv_frame_addr_func_rvalue" = yes; then
1690  cat >> confdefs.h <<EOF
1691#define OM_FRAME_ADDR_RVALUE 1
1692EOF
1693
1694fi
1695fi # "$ac_cv_frame_addr_func_works" = yes;
1696fi # "${ac_cv_frame_addr_func+set}" = set;
1697
1698fi  # "$enable_mtrack" != no;
1699
1700
1701
1702# sizes
1703echo $ac_n "checking size of long""... $ac_c" 1>&6
1704echo "configure:1705: checking size of long" >&5
1705if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
1706  echo $ac_n "(cached) $ac_c" 1>&6
1707else
1708  if test "$cross_compiling" = yes; then
1709  ac_cv_sizeof_long=4
1710else
1711  cat > conftest.$ac_ext <<EOF
1712#line 1713 "configure"
1713#include "confdefs.h"
1714#include <stdio.h>
1715main()
1716{
1717  FILE *f=fopen("conftestval", "w");
1718  if (!f) exit(1);
1719  fprintf(f, "%d\n", sizeof(long));
1720  exit(0);
1721}
1722EOF
1723if { (eval echo configure:1724: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1724then
1725  ac_cv_sizeof_long=`cat conftestval`
1726else
1727  echo "configure: failed program was:" >&5
1728  cat conftest.$ac_ext >&5
1729  rm -fr conftest*
1730  ac_cv_sizeof_long=0
1731fi
1732rm -fr conftest*
1733fi
1734
1735fi
1736echo "$ac_t""$ac_cv_sizeof_long" 1>&6
1737cat >> confdefs.h <<EOF
1738#define SIZEOF_LONG $ac_cv_sizeof_long
1739EOF
1740
1741
1742echo $ac_n "checking size of void*""... $ac_c" 1>&6
1743echo "configure:1744: checking size of void*" >&5
1744if eval "test \"`echo '$''{'ac_cv_sizeof_voidp'+set}'`\" = set"; then
1745  echo $ac_n "(cached) $ac_c" 1>&6
1746else
1747  if test "$cross_compiling" = yes; then
1748  ac_cv_sizeof_voidp=4
1749else
1750  cat > conftest.$ac_ext <<EOF
1751#line 1752 "configure"
1752#include "confdefs.h"
1753#include <stdio.h>
1754main()
1755{
1756  FILE *f=fopen("conftestval", "w");
1757  if (!f) exit(1);
1758  fprintf(f, "%d\n", sizeof(void*));
1759  exit(0);
1760}
1761EOF
1762if { (eval echo configure:1763: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1763then
1764  ac_cv_sizeof_voidp=`cat conftestval`
1765else
1766  echo "configure: failed program was:" >&5
1767  cat conftest.$ac_ext >&5
1768  rm -fr conftest*
1769  ac_cv_sizeof_voidp=0
1770fi
1771rm -fr conftest*
1772fi
1773
1774fi
1775echo "$ac_t""$ac_cv_sizeof_voidp" 1>&6
1776cat >> confdefs.h <<EOF
1777#define SIZEOF_VOIDP $ac_cv_sizeof_voidp
1778EOF
1779
1780
1781echo $ac_n "checking size of double""... $ac_c" 1>&6
1782echo "configure:1783: checking size of double" >&5
1783if eval "test \"`echo '$''{'ac_cv_sizeof_double'+set}'`\" = set"; then
1784  echo $ac_n "(cached) $ac_c" 1>&6
1785else
1786  if test "$cross_compiling" = yes; then
1787  ac_cv_sizeof_double=8
1788else
1789  cat > conftest.$ac_ext <<EOF
1790#line 1791 "configure"
1791#include "confdefs.h"
1792#include <stdio.h>
1793main()
1794{
1795  FILE *f=fopen("conftestval", "w");
1796  if (!f) exit(1);
1797  fprintf(f, "%d\n", sizeof(double));
1798  exit(0);
1799}
1800EOF
1801if { (eval echo configure:1802: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1802then
1803  ac_cv_sizeof_double=`cat conftestval`
1804else
1805  echo "configure: failed program was:" >&5
1806  cat conftest.$ac_ext >&5
1807  rm -fr conftest*
1808  ac_cv_sizeof_double=0
1809fi
1810rm -fr conftest*
1811fi
1812
1813fi
1814echo "$ac_t""$ac_cv_sizeof_double" 1>&6
1815cat >> confdefs.h <<EOF
1816#define SIZEOF_DOUBLE $ac_cv_sizeof_double
1817EOF
1818
1819
1820if test "$ac_cv_sizeof_long" != "$ac_cv_sizeof_voidp"; then
1821  { echo "configure: error: need equal sizes for long and void*" 1>&2; exit 1; }
1822fi
1823if test "$ac_cv_sizeof_voidp" != 4 && "$ac_cv_sizeof_voidp" != 8; then
1824  { echo "configure: error: need void* to be 4 or 8 bytes long" 1>&2; exit 1; }
1825fi
1826
1827echo $ac_n "checking align8""... $ac_c" 1>&6
1828echo "configure:1829: checking align8" >&5
1829if test "$with_align8" = yes || test "$ac_cv_sizeof_long" = 8; then
1830  $ac_cv_align8 = yes
1831else
1832if eval "test \"`echo '$''{'ac_cv_align8'+set}'`\" = set"; then
1833  echo $ac_n "(cached) $ac_c" 1>&6
1834else
1835  if test "$cross_compiling" = yes; then
1836  ac_cv_align8=yes
1837else
1838  cat > conftest.$ac_ext <<EOF
1839#line 1840 "configure"
1840#include "confdefs.h"
1841 
1842int main()
1843{
1844  void* ptr = (void*) malloc(12);
1845  double* d_ptr;
1846  if ((unsigned long) ptr % 8 == 0) ptr = ptr + 4; 
1847  d_ptr = (double*) ptr;
1848  *d_ptr = (double) 1.1;
1849  if (*d_ptr != (double) 1.1) return 1;
1850  else return 0;
1851}
1852
1853EOF
1854if { (eval echo configure:1855: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1855then
1856  ac_cv_align8=no
1857else
1858  echo "configure: failed program was:" >&5
1859  cat conftest.$ac_ext >&5
1860  rm -fr conftest*
1861  ac_cv_align8=yes
1862fi
1863rm -fr conftest*
1864fi
1865
1866fi
1867
1868fi
1869echo "$ac_t""$ac_cv_align8" 1>&6
1870
1871if test $ac_cv_align8 = "yes"; then
1872  cat >> confdefs.h <<\EOF
1873#define OM_ALIGN_8 1
1874EOF
1875
1876fi
1877
1878echo $ac_n "checking size of system page""... $ac_c" 1>&6
1879echo "configure:1880: checking size of system page" >&5
1880if eval "test \"`echo '$''{'ac_cv_pagesize'+set}'`\" = set"; then
1881  echo $ac_n "(cached) $ac_c" 1>&6
1882else
1883  if test "$cross_compiling" = yes; then
1884  ac_cv_pagesize=0
1885else
1886  cat > conftest.$ac_ext <<EOF
1887#line 1888 "configure"
1888#include "confdefs.h"
1889#include <stdio.h>
1890#define HAVE_GMALLOC
1891#include "gmalloc.c"
1892
1893main()
1894{
1895  FILE *f=fopen("conftestval", "w");
1896  if (!f) exit(1);
1897  fprintf(f, "%d\n", getpagesize());
1898  exit(0);
1899}
1900EOF
1901if { (eval echo configure:1902: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1902then
1903  ac_cv_pagesize=`cat conftestval`
1904else
1905  echo "configure: failed program was:" >&5
1906  cat conftest.$ac_ext >&5
1907  rm -fr conftest*
1908  ac_cv_pagesize=0
1909fi
1910rm -fr conftest*
1911fi
1912
1913fi
1914
1915echo "$ac_t""$ac_cv_pagesize" 1>&6
1916if test "$ac_cv_pagesize" != 0; then
1917  cat >> confdefs.h <<EOF
1918#define SIZEOF_SYSTEM_PAGE $ac_cv_pagesize
1919EOF
1920
1921fi
1922
1923
1924echo $ac_n "checking for page aligned valloc""... $ac_c" 1>&6
1925echo "configure:1926: checking for page aligned valloc" >&5
1926if eval "test \"`echo '$''{'ac_cv_have_page_alignment'+set}'`\" = set"; then
1927  echo $ac_n "(cached) $ac_c" 1>&6
1928else
1929  cat > pagetest.c << EOF
1930#include <stdio.h>
1931#ifndef ADJUSTMENT
1932#define ADJUSTMENT 0
1933#endif
1934#define REPEAT 1000
1935main()
1936{
1937  long i;
1938  unsigned long p1 = (unsigned long) valloc(SIZEOF_SYSTEM_PAGE - ADJUSTMENT);
1939  unsigned long p2;
1940  unsigned long diffs = 0;
1941
1942  if ((p1 == 0) || (p1 & (SIZEOF_SYSTEM_PAGE - 1))) exit(1);
1943
1944  for (i = 0; i<REPEAT; i++)
1945  {
1946    p2 = (unsigned long) valloc(SIZEOF_SYSTEM_PAGE - ADJUSTMENT);
1947    if ((p2 == 0) || (p2 & (SIZEOF_SYSTEM_PAGE - 1))) exit(1);
1948    diffs += (p2 - p1);
1949    p1 = p2;
1950  }
1951
1952  if ( ((double) diffs)/((double)REPEAT) < ((double) SIZEOF_SYSTEM_PAGE)*1.05 )
1953  {
1954    FILE *f=fopen("conftestval", "w");
1955    if (!f) exit(1);
1956    fprintf(f, "%d\n", SIZEOF_SYSTEM_PAGE - ADJUSTMENT);
1957    exit(0);
1958  }
1959  exit(1);
1960}
1961EOF
1962
1963ac_cv_have_page_alignment=no
1964if test "$with_gmalloc" != yes && \
1965   test "$ac_cv_func_valloc" = yes && \
1966   test "$ac_cv_pagesize" != 0; then
1967if test "$cross_compiling" = yes; then
1968  ac_cv_have_page_alignment=no
1969else
1970  cat > conftest.$ac_ext <<EOF
1971#line 1972 "configure"
1972#include "confdefs.h"
1973
1974#define ADJUSTMENT 0
1975#include "pagetest.c"
1976
1977EOF
1978if { (eval echo configure:1979: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1979then
1980  ac_cv_have_page_alignment="ac_cv_usable_pagesize="`cat  conftestval`
1981else
1982  echo "configure: failed program was:" >&5
1983  cat conftest.$ac_ext >&5
1984  rm -fr conftest*
1985  ac_cv_have_page_alignment=no
1986fi
1987rm -fr conftest*
1988fi
1989
1990  if test "$ac_cv_have_page_alignment" = no; then
1991if test "$cross_compiling" = yes; then
1992  ac_cv_have_page_alignment=no
1993else
1994  cat > conftest.$ac_ext <<EOF
1995#line 1996 "configure"
1996#include "confdefs.h"
1997
1998#define ADJUSTMENT SIZEOF_VOIDP
1999#include "pagetest.c"
2000
2001EOF
2002if { (eval echo configure:2003: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2003then
2004  ac_cv_have_page_alignment="ac_cv_usable_pagesize="`cat  conftestval`
2005else
2006  echo "configure: failed program was:" >&5
2007  cat conftest.$ac_ext >&5
2008  rm -fr conftest*
2009  ac_cv_have_page_alignment=no
2010fi
2011rm -fr conftest*
2012fi
2013
2014  fi
2015fi
2016
2017if test "$ac_cv_have_page_alignment" = no && test "$ac_cv_pagesize" != 0; then
2018if test "$cross_compiling" = yes; then
2019  ac_cv_have_page_alignment=no
2020else
2021  cat > conftest.$ac_ext <<EOF
2022#line 2023 "configure"
2023#include "confdefs.h"
2024
2025#define ADJUSTMENT 0
2026#define HAVE_GMALLOC
2027#include "gmalloc.c"
2028#include "pagetest.c"
2029
2030EOF
2031if { (eval echo configure:2032: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2032then
2033  ac_cv_have_page_alignment="ac_cv_have_gmalloc=yes; ac_cv_usable_pagesize="`cat  conftestval`
2034else
2035  echo "configure: failed program was:" >&5
2036  cat conftest.$ac_ext >&5
2037  rm -fr conftest*
2038  ac_cv_have_page_alignment=no
2039fi
2040rm -fr conftest*
2041fi
2042
2043  if test "$ac_cv_have_page_alignment" = no; then
2044if test "$cross_compiling" = yes; then
2045  ac_cv_have_page_alignment=no
2046else
2047  cat > conftest.$ac_ext <<EOF
2048#line 2049 "configure"
2049#include "confdefs.h"
2050
2051#define ADJUSTMENT SIZEOF_VOIDP
2052#define HAVE_GMALLOC
2053#include "gmalloc.c"
2054#include "pagetest.c"
2055
2056EOF
2057if { (eval echo configure:2058: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2058then
2059  ac_cv_have_page_alignment="ac_cv_have_gmalloc=yes; ac_cv_usable_pagesize="`cat  conftestval`
2060else
2061  echo "configure: failed program was:" >&5
2062  cat conftest.$ac_ext >&5
2063  rm -fr conftest*
2064  ac_cv_have_page_alignment=no
2065fi
2066rm -fr conftest*
2067fi
2068
2069  fi
2070fi
2071rm -rf conftesteval pagetest.c
2072
2073
2074fi
2075
2076
2077if test "$ac_cv_have_page_alignment" != no && test "$ac_cv_with_gmalloc" != no; then
2078  eval $ac_cv_have_page_alignment
2079  cat >> confdefs.h <<EOF
2080#define OM_VALLOC valloc
2081EOF
2082
2083  cat >> confdefs.h <<EOF
2084#define OM_VFREE free
2085EOF
2086
2087  if test "$ac_cv_have_gmalloc" = yes; then
2088    cat >> confdefs.h <<\EOF
2089#define HAVE_GMALLOC 1
2090EOF
2091
2092    echo "$ac_t""from gmalloc" 1>&6
2093  else
2094    echo "$ac_t""from system" 1>&6
2095  fi
2096  cat >> confdefs.h <<EOF
2097#define SIZEOF_OM_PAGE $ac_cv_usable_pagesize
2098EOF
2099
2100else
2101  echo "$ac_t""no" 1>&6
2102  { echo "configure: error: need valloc" 1>&2; exit 1; }
2103fi
2104
2105
2106echo $ac_n "checking whether to enable statistics""... $ac_c" 1>&6
2107echo "configure:2108: checking whether to enable statistics" >&5
2108if test "$enable_stat" = yes; then
2109  echo "$ac_t""yes" 1>&6
2110  cat >> confdefs.h <<\EOF
2111#define OM_HAVE_STAT 1
2112EOF
2113
2114else
2115  echo "$ac_t""no" 1>&6
2116fi
2117
2118
2119if test "${GCC}" = yes && test "$ac_cflags_set" = no ; then
2120  CFLAGS="-pipe -Wall -O3 -fomit-frame-pointer"
2121fi
2122
2123
2124trap '' 1 2 15
2125cat > confcache <<\EOF
2126# This file is a shell script that caches the results of configure
2127# tests run on this system so they can be shared between configure
2128# scripts and configure runs.  It is not useful on other systems.
2129# If it contains results you don't want to keep, you may remove or edit it.
2130#
2131# By default, configure uses ./config.cache as the cache file,
2132# creating it if it does not exist already.  You can give configure
2133# the --cache-file=FILE option to use a different cache file; that is
2134# what configure does when it calls configure scripts in
2135# subdirectories, so they share the cache.
2136# Giving --cache-file=/dev/null disables caching, for debugging configure.
2137# config.status only pays attention to the cache file if you give it the
2138# --recheck option to rerun configure.
2139#
2140EOF
2141# The following way of writing the cache mishandles newlines in values,
2142# but we know of no workaround that is simple, portable, and efficient.
2143# So, don't put newlines in cache variables' values.
2144# Ultrix sh set writes to stderr and can't be redirected directly,
2145# and sets the high bit in the cache file unless we assign to the vars.
2146(set) 2>&1 |
2147  case `(ac_space=' '; set | grep ac_space) 2>&1` in
2148  *ac_space=\ *)
2149    # `set' does not quote correctly, so add quotes (double-quote substitution
2150    # turns \\\\ into \\, and sed turns \\ into \).
2151    sed -n \
2152      -e "s/'/'\\\\''/g" \
2153      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
2154    ;;
2155  *)
2156    # `set' quotes correctly as required by POSIX, so do not add quotes.
2157    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
2158    ;;
2159  esac >> confcache
2160if cmp -s $cache_file confcache; then
2161  :
2162else
2163  if test -w $cache_file; then
2164    echo "updating cache $cache_file"
2165    cat confcache > $cache_file
2166  else
2167    echo "not updating unwritable cache $cache_file"
2168  fi
2169fi
2170rm -f confcache
2171
2172trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
2173
2174test "x$prefix" = xNONE && prefix=$ac_default_prefix
2175# Let make expand exec_prefix.
2176test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
2177
2178# Any assignment to VPATH causes Sun make to only execute
2179# the first set of double-colon rules, so remove it if not needed.
2180# If there is a colon in the path, we need to keep it.
2181if test "x$srcdir" = x.; then
2182  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
2183fi
2184
2185trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
2186
2187DEFS=-DHAVE_CONFIG_H
2188
2189# Without the "./", some shells look in PATH for config.status.
2190: ${CONFIG_STATUS=./config.status}
2191
2192echo creating $CONFIG_STATUS
2193rm -f $CONFIG_STATUS
2194cat > $CONFIG_STATUS <<EOF
2195#! /bin/sh
2196# Generated automatically by configure.
2197# Run this file to recreate the current configuration.
2198# This directory was configured as follows,
2199# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
2200#
2201# $0 $ac_configure_args
2202#
2203# Compiler output produced by configure, useful for debugging
2204# configure, is in ./config.log if it exists.
2205
2206ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
2207for ac_option
2208do
2209  case "\$ac_option" in
2210  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2211    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
2212    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
2213  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
2214    echo "$CONFIG_STATUS generated by autoconf version 2.13"
2215    exit 0 ;;
2216  -help | --help | --hel | --he | --h)
2217    echo "\$ac_cs_usage"; exit 0 ;;
2218  *) echo "\$ac_cs_usage"; exit 1 ;;
2219  esac
2220done
2221
2222ac_given_srcdir=$srcdir
2223
2224trap 'rm -fr `echo "Makefile omConfig.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
2225EOF
2226cat >> $CONFIG_STATUS <<EOF
2227
2228# Protect against being on the right side of a sed subst in config.status.
2229sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
2230 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
2231$ac_vpsub
2232$extrasub
2233s%@SHELL@%$SHELL%g
2234s%@CFLAGS@%$CFLAGS%g
2235s%@CPPFLAGS@%$CPPFLAGS%g
2236s%@CXXFLAGS@%$CXXFLAGS%g
2237s%@FFLAGS@%$FFLAGS%g
2238s%@DEFS@%$DEFS%g
2239s%@LDFLAGS@%$LDFLAGS%g
2240s%@LIBS@%$LIBS%g
2241s%@exec_prefix@%$exec_prefix%g
2242s%@prefix@%$prefix%g
2243s%@program_transform_name@%$program_transform_name%g
2244s%@bindir@%$bindir%g
2245s%@sbindir@%$sbindir%g
2246s%@libexecdir@%$libexecdir%g
2247s%@datadir@%$datadir%g
2248s%@sysconfdir@%$sysconfdir%g
2249s%@sharedstatedir@%$sharedstatedir%g
2250s%@localstatedir@%$localstatedir%g
2251s%@libdir@%$libdir%g
2252s%@includedir@%$includedir%g
2253s%@oldincludedir@%$oldincludedir%g
2254s%@infodir@%$infodir%g
2255s%@mandir@%$mandir%g
2256s%@SET_MAKE@%$SET_MAKE%g
2257s%@CC@%$CC%g
2258s%@CPP@%$CPP%g
2259s%@RANLIB@%$RANLIB%g
2260s%@AR@%$AR%g
2261s%@PERL@%$PERL%g
2262s%@ADDR2LINE@%$ADDR2LINE%g
2263s%@NM@%$NM%g
2264
2265CEOF
2266EOF
2267
2268cat >> $CONFIG_STATUS <<\EOF
2269
2270# Split the substitutions into bite-sized pieces for seds with
2271# small command number limits, like on Digital OSF/1 and HP-UX.
2272ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
2273ac_file=1 # Number of current file.
2274ac_beg=1 # First line for current file.
2275ac_end=$ac_max_sed_cmds # Line after last line for current file.
2276ac_more_lines=:
2277ac_sed_cmds=""
2278while $ac_more_lines; do
2279  if test $ac_beg -gt 1; then
2280    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
2281  else
2282    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
2283  fi
2284  if test ! -s conftest.s$ac_file; then
2285    ac_more_lines=false
2286    rm -f conftest.s$ac_file
2287  else
2288    if test -z "$ac_sed_cmds"; then
2289      ac_sed_cmds="sed -f conftest.s$ac_file"
2290    else
2291      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
2292    fi
2293    ac_file=`expr $ac_file + 1`
2294    ac_beg=$ac_end
2295    ac_end=`expr $ac_end + $ac_max_sed_cmds`
2296  fi
2297done
2298if test -z "$ac_sed_cmds"; then
2299  ac_sed_cmds=cat
2300fi
2301EOF
2302
2303cat >> $CONFIG_STATUS <<EOF
2304
2305CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
2306EOF
2307cat >> $CONFIG_STATUS <<\EOF
2308for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
2309  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2310  case "$ac_file" in
2311  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
2312       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
2313  *) ac_file_in="${ac_file}.in" ;;
2314  esac
2315
2316  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
2317
2318  # Remove last slash and all that follows it.  Not all systems have dirname.
2319  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2320  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2321    # The file is in a subdirectory.
2322    test ! -d "$ac_dir" && mkdir "$ac_dir"
2323    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
2324    # A "../" for each directory in $ac_dir_suffix.
2325    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
2326  else
2327    ac_dir_suffix= ac_dots=
2328  fi
2329
2330  case "$ac_given_srcdir" in
2331  .)  srcdir=.
2332      if test -z "$ac_dots"; then top_srcdir=.
2333      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
2334  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
2335  *) # Relative path.
2336    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
2337    top_srcdir="$ac_dots$ac_given_srcdir" ;;
2338  esac
2339
2340
2341  echo creating "$ac_file"
2342  rm -f "$ac_file"
2343  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
2344  case "$ac_file" in
2345  *Makefile*) ac_comsub="1i\\
2346# $configure_input" ;;
2347  *) ac_comsub= ;;
2348  esac
2349
2350  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
2351  sed -e "$ac_comsub
2352s%@configure_input@%$configure_input%g
2353s%@srcdir@%$srcdir%g
2354s%@top_srcdir@%$top_srcdir%g
2355" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
2356fi; done
2357rm -f conftest.s*
2358
2359# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
2360# NAME is the cpp macro being defined and VALUE is the value it is being given.
2361#
2362# ac_d sets the value in "#define NAME VALUE" lines.
2363ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
2364ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
2365ac_dC='\3'
2366ac_dD='%g'
2367# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
2368ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
2369ac_uB='\([      ]\)%\1#\2define\3'
2370ac_uC=' '
2371ac_uD='\4%g'
2372# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
2373ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
2374ac_eB='$%\1#\2define\3'
2375ac_eC=' '
2376ac_eD='%g'
2377
2378if test "${CONFIG_HEADERS+set}" != set; then
2379EOF
2380cat >> $CONFIG_STATUS <<EOF
2381  CONFIG_HEADERS="omConfig.h"
2382EOF
2383cat >> $CONFIG_STATUS <<\EOF
2384fi
2385for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
2386  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2387  case "$ac_file" in
2388  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
2389       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
2390  *) ac_file_in="${ac_file}.in" ;;
2391  esac
2392
2393  echo creating $ac_file
2394
2395  rm -f conftest.frag conftest.in conftest.out
2396  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
2397  cat $ac_file_inputs > conftest.in
2398
2399EOF
2400
2401# Transform confdefs.h into a sed script conftest.vals that substitutes
2402# the proper values into config.h.in to produce config.h.  And first:
2403# Protect against being on the right side of a sed subst in config.status.
2404# Protect against being in an unquoted here document in config.status.
2405rm -f conftest.vals
2406cat > conftest.hdr <<\EOF
2407s/[\\&%]/\\&/g
2408s%[\\$`]%\\&%g
2409s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
2410s%ac_d%ac_u%gp
2411s%ac_u%ac_e%gp
2412EOF
2413sed -n -f conftest.hdr confdefs.h > conftest.vals
2414rm -f conftest.hdr
2415
2416# This sed command replaces #undef with comments.  This is necessary, for
2417# example, in the case of _POSIX_SOURCE, which is predefined and required
2418# on some systems where configure will not decide to define it.
2419cat >> conftest.vals <<\EOF
2420s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
2421EOF
2422
2423# Break up conftest.vals because some shells have a limit on
2424# the size of here documents, and old seds have small limits too.
2425
2426rm -f conftest.tail
2427while :
2428do
2429  ac_lines=`grep -c . conftest.vals`
2430  # grep -c gives empty output for an empty file on some AIX systems.
2431  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
2432  # Write a limited-size here document to conftest.frag.
2433  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
2434  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
2435  echo 'CEOF
2436  sed -f conftest.frag conftest.in > conftest.out
2437  rm -f conftest.in
2438  mv conftest.out conftest.in
2439' >> $CONFIG_STATUS
2440  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
2441  rm -f conftest.vals
2442  mv conftest.tail conftest.vals
2443done
2444rm -f conftest.vals
2445
2446cat >> $CONFIG_STATUS <<\EOF
2447  rm -f conftest.frag conftest.h
2448  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
2449  cat conftest.in >> conftest.h
2450  rm -f conftest.in
2451  if cmp -s $ac_file conftest.h 2>/dev/null; then
2452    echo "$ac_file is unchanged"
2453    rm -f conftest.h
2454  else
2455    # Remove last slash and all that follows it.  Not all systems have dirname.
2456      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2457      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2458      # The file is in a subdirectory.
2459      test ! -d "$ac_dir" && mkdir "$ac_dir"
2460    fi
2461    rm -f $ac_file
2462    mv conftest.h $ac_file
2463  fi
2464fi; done
2465
2466EOF
2467cat >> $CONFIG_STATUS <<EOF
2468
2469EOF
2470cat >> $CONFIG_STATUS <<\EOF
2471\
2472 if test "$CONFIG_HEADERS"; then echo timestamp > stamp-h; fi
2473exit 0
2474EOF
2475chmod +x $CONFIG_STATUS
2476rm -fr confdefs* $ac_clean_files
2477test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
2478
2479
2480
2481
2482
Note: See TracBrowser for help on using the repository browser.